## epix 1.2.6

=== debian/changelog ===
epix (1.2.6-3) unstable; urgency=low

  * Update debian/copyright file to refer to GPL2+ instead of plain GPL
    (Thanks to Torsten Werner for spotting this!)

 -- Julian Gilbey <jdg@debian.org>  Sun, 03 Jan 2010 12:20:54 +0000

epix (1.2.6-2) unstable; urgency=low

  * Move to source format 3.0 (quilt)
  * Rename package as epix; epix2 is "officially dead", so P-C-R fields in
    control file and dummy package as well
  * Package needs to depend on c++-compiler; I should have spotted this
    ages ago!

 -- Julian Gilbey <jdg@debian.org>  Wed, 30 Dec 2009 12:38:25 +0000

epix1 (1.2.6-1) unstable; urgency=low

  * New upstream release
  * Fix (Build-)Depends lines to depend on ghostscript rather than gs
    (Closes: #539653)
  * Fix regex in epix1.el elisp start file to match \.xp$ rather than \.xp
    etc. (Closes: #513744)
  * Upgrade standards-version
  * Regenerate all autoconf and automake files during the build

 -- Julian Gilbey <jdg@debian.org>  Mon, 26 Oct 2009 18:02:06 +0000

epix1 (1.2.4-2) unstable; urgency=low

  * Build-Depends on texinfo (oops!) (Closes: #470723)

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Mar 2008 12:18:47 +0000

epix1 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Fix GCC-4.3 #include bugs (Closes: #455175)

 -- Julian Gilbey <jdg@debian.org>  Wed, 12 Mar 2008 07:14:02 +0000

epix1 (1.0.24-1) unstable; urgency=low

  * New upstream release
  * Support texlive as well as tetex (although some options such as laps
    --ps do not work with texlive) (Closes: #403468)

 -- Julian Gilbey <jdg@debian.org>  Sun, 15 Apr 2007 22:36:59 +0100

epix1 (1.0.19-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Tue, 24 Oct 2006 21:13:37 +0100

epix1 (1.0.18-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Mon, 23 Oct 2006 16:59:49 +0100

epix1 (1.0.17-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Thu, 19 Oct 2006 01:01:02 +0100

epix1 (1.0.15-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Wed, 11 Oct 2006 20:26:22 +0100

epix1 (1.0.11-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Mon, 28 Aug 2006 20:55:58 +0100

epix1 (1.0.8-2) unstable; urgency=low

  * Fix update-alternatives symlink loop (Closes: #381139)

 -- Julian Gilbey <jdg@debian.org>  Wed,  2 Aug 2006 17:10:47 +0100

epix1 (1.0.8-1) unstable; urgency=low

  * Initial release (Closes: #336481)

 -- Julian Gilbey <jdg@debian.org>  Thu, 16 Mar 2006 21:24:38 +0000
