## epix 1.2.9

=== debian/changelog ===
epix (1.2.9-1) unstable; urgency=low

  * New upstream release
  * Remove old epix1 transitional package; epix is now in stable

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 Aug 2011 21:49:58 +0100
