=== debian/control ===
Source: epix
Section: tex
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper (>= 8.0.0), automake, texlive-base-bin, texlive-latex-base, latex-xcolor, texlive-pstricks, texlive-latex-extra, ghostscript, texinfo
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2

Package: epix
Architecture: any
Depends: g++ | c++-compiler, texlive-base-bin, texlive-latex-base, texlive-pictures, ghostscript, imagemagick, ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-pstricks
Suggests: latex-xcolor
Conflicts: epix1 (<< 1.2.6-2)
Replaces: epix1 (<< 1.2.6-2)
Description: Create mathematically accurate line figures, plots and movies
 ePiX provides a system for creating mathematically accurate line figures,
 plots, and movies using an easy-to-learn C++-like syntax.  LaTeX and dvips
 comprise the typographical rendering engine, while ImageMagick is used to
 create bitmapped images and animations.
