=== debian/rules ===
--- 
+++ 
@@ -44,11 +44,16 @@
 	    --mandir=\$${prefix}/share/man
 	touch configure-stamp
 
-build: build-stamp
+build-arch: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
 	touch build-stamp
+
+build-indep:
+	# Now't to do for build-indep
+
+build: build-arch build-indep
 
 clean:
 	dh_testdir
@@ -81,19 +86,10 @@
 	# delete info files; they will be reinstalled properly by dh_installinfo
 	-rm -f $(CURDIR)/debian/epix/usr/share/info/*
 
-# Build architecture-independent dummy package:
-binary-indep: build install
-	dh_testdir -i
-	dh_testroot -i
-	dh_installchangelogs -i ChangeLog
-	dh_installdocs -i
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_builddeb -i
+binary-indep:
+	# Nothing to do
 
-# Build architecture-dependent main package:
+# Build package:
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
@@ -113,8 +109,8 @@
 #	dh_installman -a
 #	dh_link -a
 	dh_strip -a
-#	only two examples are marginally larger than 4k; it is a pain to have
-#	to decompress them before compiling
+#	only three examples are marginally larger than 4k; it is a pain to
+#	have to decompress them before compiling
 	dh_compress -a -X examples
 	dh_fixperms -a
 #	dh_perl -a
@@ -127,4 +123,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install
