## epix 1.2.10

=== debian/changelog ===
epix (1.2.10-1) unstable; urgency=low

  * New upstream release, incorporating all of the changes in 1.2.9-2
  * Offer graphicsmagick-imagemagick-compat as an alternative to
    imagemagick

 -- Julian Gilbey <jdg@debian.org>  Mon, 02 Apr 2012 09:18:00 +0100

epix (1.2.9-2) unstable; urgency=low

  * Fix "FTBFS: latex fails": modify hyperref options to distinguish
    whether pdftex or tex is the underlying engine, and remove unknown
    hyperref option (Closes: #666361)
  * Updated to standards-version 3.9.3
  * Fixed Automake build failures at the same time
  * Force the automake files to be regenerated (clean target didn't delete
    the configure file - oops!)

 -- Julian Gilbey <jdg@debian.org>  Sun, 01 Apr 2012 12:18:12 +0100
