=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>= 8.0.0), automake, texlive-base-bin, texlive-latex-base, latex-xcolor, texlive-pstricks, texlive-latex-extra, ghostscript, texinfo
+Build-Depends: debhelper (>= 9.0.0), automake, texlive-base-bin, texlive-latex-base, latex-xcolor, texlive-pstricks, texlive-latex-extra, ghostscript, texinfo
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: epix
 Architecture: any
-Depends: g++ | c++-compiler, texlive-base-bin, texlive-latex-base, texlive-pictures, ghostscript, imagemagick, ${shlibs:Depends}, ${misc:Depends}
+Depends: g++ | c++-compiler, texlive-base-bin, texlive-latex-base, texlive-pictures, ghostscript, imagemagick | graphicsmagick-imagemagick-compat, ${shlibs:Depends}, ${misc:Depends}
 Recommends: texlive-pstricks
 Suggests: latex-xcolor
 Conflicts: epix1 (<< 1.2.6-2)
