=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
+	rm -f configure-stamp build-stamp configure
 	[ ! -f Makefile ] || $(MAKE) distclean
 	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
 	find \( -name config.sub -o -name config.guess -o -name config.log \
