## epix 1.2.11

=== debian/changelog ===
epix (1.2.11-2) unstable; urgency=low

  * Remove the redirections to /dev/null from the documention build
    makefile, so that errors can be tracked (see bug#712329)

 -- Julian Gilbey <jdg@debian.org>  Wed, 10 Jul 2013 17:26:04 +0100

epix (1.2.11-1) unstable; urgency=low

  * New upstream release
  * Now builds with makeinfo 5.0 (Closes: #712329)

 -- Julian Gilbey <jdg@debian.org>  Tue, 09 Jul 2013 22:35:23 +0100
