=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>= 9.0.0), automake, texlive-base-bin, texlive-latex-base, latex-xcolor, texlive-pstricks, texlive-latex-extra, ghostscript, texinfo
+Build-Depends: debhelper (>= 9.0.0), automake, texlive-base-bin, texlive-latex-extra, latex-xcolor, texlive-pstricks, ghostscript, texinfo
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.3
