## epix 1.2.13

=== debian/changelog ===
epix (1.2.13-1) unstable; urgency=low

  * New upstream release
  * No longer hard-code /dev/stderr in shell script (Closes: #720840)
  * Migrate to dh $@ type debian/rules; this should give
    essentially-identical results to the old version, though the library
    is now installed in the correct architecture-specific directory.

 -- Julian Gilbey <jdg@debian.org>  Mon, 14 Oct 2013 14:09:59 +0100

epix (1.2.12-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Fri, 02 Aug 2013 00:53:48 +0100

epix (1.2.11-3) unstable; urgency=low

  * Depend on texlive-pstricks (>= 2013.20130722), which forces a
    dependency on pgf (Closes: #712329)
  * Update Standards-Version

 -- Julian Gilbey <jdg@debian.org>  Thu, 01 Aug 2013 00:39:39 +0100
