## epix 1.2.14

=== debian/changelog ===
epix (1.2.14-1) unstable; urgency=medium

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Thu, 15 May 2014 20:46:43 +0100
