=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
 	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
 		-o -name depcomp -o -name ltmain.sh -o -name configure \
-		-o -name config.log -o -name config.status -o -name INSTALL \
+		-o -name config.log -o -name config.status \
 		-o -name Makefile.in -o -name aclocal.m4 -o -name compile \) \
 	    -print0 | xargs -0 rm -f
 	rm -f config.sub config.guess
