## epix 1.2.16

=== debian/changelog ===
epix (1.2.16-3) unstable; urgency=medium

  * Don't manually delete /etc/bash_completion.d/epix in postinst (part of
    Bug#825284, overlooked in -2)

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 May 2016 21:06:53 +0100

epix (1.2.16-2) unstable; urgency=medium

  * Fix removal of /etc/bash_completion.d/epix conffile (thanks to Andrea
    Beckmann) (Closes: #825284)

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 May 2016 15:35:10 +0100

epix (1.2.16-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.8
  * Move bash completions to /usr/share/bash-completion/completions
  * Have non-timestamped zip files for ReproducibleBuilds

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 May 2016 21:00:22 +0100

epix (1.2.15-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Sun, 23 Aug 2015 11:02:38 +0100
