=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper (>= 9), automake, texlive-latex-extra, latex-xcolor, texlive-pstricks (>= 2013.20130722), ghostscript, texinfo
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 
 Package: epix
 Architecture: any
