=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 override_dh_install:
 	dh_install
-	install -m644 bash_completions debian/epix/etc/bash_completion.d/epix
+	install -m644 bash_completions debian/epix/usr/share/bash-completion/completions/epix
 
 override_dh_compress:
 	dh_compress -a -X examples
