## epix 1.2.17

=== debian/changelog ===
epix (1.2.17-2) unstable; urgency=medium

  * Fix epix.el target, with thanks to Danilo Alves (closes: #871736)

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Aug 2017 15:52:56 +0100

epix (1.2.17-1) unstable; urgency=medium

  * New upstream release
  * Include texlive-font-utils recommendation
  * Update to debhelper 10
  * Follow current emacsen policy

 -- Julian Gilbey <jdg@debian.org>  Tue, 25 Jul 2017 21:36:14 +0100

epix (1.2.16-4) unstable; urgency=medium

  * Remove dependency on no-longer-existing package latex-xcolor; this is
    now subsumed in texlive-latex-recommended (closes: #865243)

 -- Julian Gilbey <jdg@debian.org>  Tue, 20 Jun 2017 07:52:23 +0100
