## epix 1.2.18

=== debian/changelog ===
epix (1.2.18-1) unstable; urgency=medium

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Sun, 17 Sep 2017 23:56:20 +0100
