=== debian/control ===
Source: epix
Section: tex
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper (>= 10), automake, texlive-latex-extra, texlive-pstricks (>= 2013.20130722), ghostscript, texinfo
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.0.0

Package: epix
Architecture: any
Depends: g++ | c++-compiler, texlive-latex-base, texlive-pictures, ghostscript, imagemagick | graphicsmagick-imagemagick-compat, emacsen-common (>= 2.0.8), ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-pstricks, texlive-font-utils
Conflicts: epix1 (<< 1.2.6-2)
Replaces: epix1 (<< 1.2.6-2)
Description: Create mathematically accurate line figures, plots and movies
 ePiX provides a system for creating mathematically accurate line figures,
 plots, and movies using an easy-to-learn C++-like syntax.  LaTeX and dvips
 comprise the typographical rendering engine, while ImageMagick is used to
 create bitmapped images and animations.
