=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
		-o -name depcomp -o -name ltmain.sh -o -name configure \
		-o -name config.log -o -name config.status \
		-o -name Makefile.in -o -name aclocal.m4 -o -name compile \) \
	    -print0 | xargs -0 rm -f
	rm -f config.sub config.guess
	rm -f doc/texinfo.tex
	autoreconf --force --install
	rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub .
	ln -s /usr/share/misc/config.guess .
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	-rm -rf $(CURDIR)/debian/epix/usr/share/doc/epix/notes
	-rm -rf $(CURDIR)/debian/epix/usr/share/doc/epix/config
	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/sample_src.tar.gz

override_dh_installexamples:
	dh_installexamples
	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/sample_src.tar.gz
	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/sample-stamp
	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/Makefile*

override_dh_install:
	dh_install
	install -m644 bash_completions debian/epix/usr/share/bash-completion/completions/epix

override_dh_compress:
	dh_compress -a -X examples

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
		-o -name depcomp -o -name ltmain.sh -o -name configure \
		-o -name config.log -o -name config.status \
		-o -name Makefile.in -o -name aclocal.m4 -o -name compile \) \
	    -print0 | xargs -0 rm -f
	rm -f config.sub config.guess
	rm -f configure-stamp build-stamp configure
	rm -f doc/epix.info doc/texinfo.tex
	dh_auto_clean
