## epix 1.2.19

=== debian/changelog ===
epix (1.2.19-2) unstable; urgency=medium

  * Remove old debian/epix.emacsen-* files which prevented dh-elpa from
    working correctly (Closes: #987258)
  * Force configure to use /bin/bash for bash, otherwise building on
    systems with /bin being a symlink to /usr/bin leads to scripts with
    the incompatible /usr/bin/bash as their interpreter
  * Remove now-empty directory usr/share/emacs/site-lisp/epix from
    debian/epix.dirs

 -- Julian Gilbey <jdg@debian.org>  Tue, 20 Apr 2021 17:54:01 +0100

epix (1.2.19-1) unstable; urgency=medium

  * New upstream release
  * Switch to debhelper-compat 12 and use dh-elpa
  * Update standards-version to 4.5.0

 -- Julian Gilbey <jdg@debian.org>  Thu, 02 Apr 2020 22:57:19 +0100
