=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with elpa
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
 		-o -name depcomp -o -name ltmain.sh -o -name configure \
 		-o -name config.log -o -name config.status \
@@ -19,28 +19,27 @@
 	rm -f config.sub config.guess
 	ln -s /usr/share/misc/config.sub .
 	ln -s /usr/share/misc/config.guess .
-	dh_auto_configure
 
-override_dh_auto_install:
-	dh_auto_install
+override_dh_auto_configure:
+	dh_auto_configure -- --with-bash=/bin/bash
+
+execute_after_dh_auto_install:
 	-rm -rf $(CURDIR)/debian/epix/usr/share/doc/epix/notes
 	-rm -rf $(CURDIR)/debian/epix/usr/share/doc/epix/config
 	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/sample_src.tar.gz
 
-override_dh_installexamples:
-	dh_installexamples
+execute_after_dh_installexamples:
 	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/sample_src.tar.gz
 	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/sample-stamp
 	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/Makefile*
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	install -m644 bash_completions debian/epix/usr/share/bash-completion/completions/epix
 
 override_dh_compress:
 	dh_compress -a -X examples
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
 	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
 	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
@@ -51,4 +50,3 @@
 	rm -f config.sub config.guess
 	rm -f configure-stamp build-stamp configure
 	rm -f doc/epix.info doc/texinfo.tex
-	dh_auto_clean
