## epix 1.2.21

=== debian/changelog ===
epix (1.2.21-2) unstable; urgency=medium

  * Change Rules-Requires-Root to "no"

 -- Julian Gilbey <jdg@debian.org>  Tue, 25 Jan 2022 09:13:41 +0000

epix (1.2.21-1) unstable; urgency=medium

  * New upstream version
  * Fix lots of lintian-reported issues

 -- Julian Gilbey <jdg@debian.org>  Mon, 24 Jan 2022 19:20:30 +0000
