=== debian/control ===
Source: epix
Section: tex
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: automake,
               debhelper-compat (= 13),
               dh-elpa,
               ghostscript,
               texinfo,
               texlive-latex-extra,
               texlive-pstricks
Build-Conflicts: autoconf2.13
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://mathcs.holycross.edu/~ahwang/current/ePiX.html
Vcs-Git: https://salsa.debian.org/debian/epix-package.git
Vcs-Browser: https://salsa.debian.org/debian/epix-package

Package: epix
Architecture: any
Depends: emacsen-common (>= 2.0.8),
         g++ | c++-compiler,
         ghostscript,
         imagemagick | graphicsmagick-imagemagick-compat,
         texlive-latex-base,
         texlive-pictures,
         ${elpa:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: texlive-font-utils, texlive-pstricks
Description: Create mathematically accurate line figures, plots and movies
 ePiX provides a system for creating mathematically accurate line figures,
 plots, and movies using an easy-to-learn C++-like syntax.  LaTeX and dvips
 comprise the typographical rendering engine, while ImageMagick is used to
 create bitmapped images and animations.
