## epix 1.2.22

=== debian/changelog ===
epix (1.2.22-1) unstable; urgency=medium

  * New upstream version
  * Remove all Debian patches as no longer needed

 -- Julian Gilbey <jdg@debian.org>  Wed, 18 May 2022 08:47:28 +0100
