=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: epix
 Architecture: any
-Depends: emacsen-common (>= 2.0.8),
+Depends: emacsen-common,
          g++ | c++-compiler,
          ghostscript,
          imagemagick | graphicsmagick-imagemagick-compat,
