=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+DOCDIR = $(CURDIR)/debian/epix/usr/share/doc/epix
 
 %:
 	dh $@ --with elpa
@@ -24,14 +22,17 @@
 	dh_auto_configure -- --with-bash=/bin/bash
 
 execute_after_dh_auto_install:
-	-rm -rf $(CURDIR)/debian/epix/usr/share/doc/epix/notes
-	-rm -rf $(CURDIR)/debian/epix/usr/share/doc/epix/config
-	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/sample_src.tar.gz
+	-rm -rf $(DOCDIR)/notes
+	-rm -rf $(DOCDIR)/config
+	-rm -f $(DOCDIR)/sample_src.tar.gz
+
+execute_after_dh_installdocs:
+	iconv -f ISO-8859-1 -t UTF-8 THANKS > $(DOCDIR)/THANKS
 
 execute_after_dh_installexamples:
-	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/sample_src.tar.gz
-	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/sample-stamp
-	-rm -f $(CURDIR)/debian/epix/usr/share/doc/epix/examples/Makefile*
+	-rm -f $(DOCDIR)/examples/sample_src.tar.gz
+	-rm -f $(DOCDIR)/examples/sample-stamp
+	-rm -f $(DOCDIR)/examples/Makefile*
 
 execute_after_dh_install:
 	install -m644 bash_completions debian/epix/usr/share/bash-completion/completions/epix
