=== debian/watch ===
version=4
https://math.holycross.edu/~ahwang/current/ePiX.html \
  ../epix/epix-([\d\.]+).tar.gz
